%global momorel 2
%global unstable 0
%if 0%{unstable}
%global release_dir unstable
%else
%global release_dir stable
%endif
%global kdever 4.14.3
%global kdelibsrel 1m
%global qtver 4.8.5
%global qtrel 1m
%global cmakever 2.8.5
%global cmakerel 2m
%global ftpdirver 4.14.3
%global sourcedir %{release_dir}/%{ftpdirver}/src

Name: libkexiv2
Summary: An Exiv2 wrapper library
Version: %{kdever}
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: System Environment/Libraries
URL: https://projects.kde.org/projects/kde/kdegraphics/libs/libkexiv2
Source0: http://download.kde.org/%{sourcedir}/%{name}-%{version}.tar.xz
NoSource: 0
BuildRequires: exiv2-devel >= 0.23
BuildRequires: kdelibs-devel >= %{kdever}
Requires: kdelibs >= %{kdever}
# when split occurred
Conflicts: kdegraphics-libs < 4.7.0

%description
Libkexiv2 is a wrapper around Exiv2 library to manipulate pictures
metadata as EXIF/IPTC and XMP.

%package devel
Summary:  Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: kdelibs-devel

%description devel
%{summary}.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%check
export PKG_CONFIG_PATH=%{buildroot}%{_datadir}/pkgconfig:%{buildroot}%{_libdir}/pkgconfig
pkg-config --modversion libkexiv2

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc COPYING
%doc AUTHORS ChangeLog NEWS README TODO
%{_kde4_libdir}/libkexiv2.so.*
%{_kde4_appsdir}/libkexiv2

%files devel
%{_kde4_includedir}/libkexiv2
%{_kde4_libdir}/libkexiv2.so
%{_kde4_libdir}/pkgconfig/libkexiv2.pc
%{_kde4_libdir}/cmake/libkexiv2-2.3.2

%changelog
* Thu Aug 25 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (4.14.3-2m)
- change Source URL

* Wed Dec 31 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.14.3-1m)
- update to KDE 4.14.3

* Wed Oct 22 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.14.2-1m)
- update to KDE 4.14.2

* Thu Sep 18 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.14.1-1m)
- update to KDE 4.14.1

* Tue Sep  2 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.14.0-1m)
- update to KDE 4.14.0

* Sat Aug  2 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.13.97-1m)
- update to KDE 4.14 RC1 (4.13.97)

* Sat Jul 26 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.13.95-1m)
- update to KDE 4.14 beta 3 (4.13.95)

* Sat Jul 26 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.13.95-1m)
- update to KDE 4.14 beta 3 (4.13.95)

* Mon Jul 21 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.13.90-1m)
- update to KDE 4.14 beta 2 (4.13.90)

* Fri Jul 18 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.13.3-1m)
- update to KDE 4.13.3

* Mon Jun 30 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.13.2-1m)
- update to KDE 4.13.2

* Tue May 20 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.13.1-1m)
- update to KDE 4.13.1

* Sat Apr 19 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.13.0-1m)
- update to KDE 4.13.0

* Sun Mar 30 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.12.97-1m)
- update to KDE 4.13 RC

* Sat Mar  8 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.12.3-1m)
- update to KDE 4.12.3

* Wed Feb  5 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.12.2-1m)
- update to KDE 4.12.2

* Mon Jan 20 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.12.1-1m)
- update to KDE 4.12.1

* Wed Jan  1 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (4.12.0-1m)
- update to KDE 4.12.0

* Sun Dec  8 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.11.4-1m)
- update to KDE 4.11.4

* Fri Nov  8 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.11.3-1m)
- update to KDE 4.11.3

* Sat Oct  5 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.11.2-1m)
- update to KDE 4.11.2

* Fri Sep  6 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.11.1-1m)
- update to KDE 4.11.1

* Wed Aug 21 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.11.0-1m)
- update to KDE 4.11.0

* Sun Jul 28 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.10.97-1m)
- update to KDE 4.11 rc2 (4.10.97)

* Sun Jul 21 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.10.95-1m)
- update to KDE 4.11 rc1 (4.10.95)

* Tue Jul  2 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.10.90-1m)
- update to KDE 4.11 beta2 (4.10.90)

* Fri Jun  7 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.10.4-1m)
- update to KDE 4.10.4

* Wed May  8 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.10.3-1m)
- update to KDE 4.10.3

* Thu Apr  4 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.10.2-1m)
- update to KDE 4.10.2

* Thu Mar  7 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.10.1-1m)
- update to KDE 4.10.1

* Sat Feb  9 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.10.0-1m)
- update to KDE 4.10.0

* Sun Jan 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.9.98-1m)
- update to KDE 4.10 RC3 (4.9.98)

* Sat Jan  5 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (4.9.97-1m)
- update to KDE 4.10 RC2 (4.9.97)

* Thu Dec 20 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.9.95-1m)
- update to KDE 4.10 RC1 (4.9.95)

* Sun Dec  9 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.9.90-1m)
- update to KDE 4.10 beta2 (4.9.90)

* Wed Nov  7 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.9.3-1m)
- update to KDE 4.9.3

* Wed Oct  3 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.9.2-1m)
- update to KDE 4.9.2

* Sat Sep  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.9.1-1m)
- update to KDE 4.9.1

* Thu Aug 16 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.9.0-2m)
- rebuild against exiv2-0.23

* Thu Aug  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.9.0-1m)
- update to KDE 4.9.0

* Fri Jul 20 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.8.97-1m)
- update to KDE 4.9 RC2

* Sat Jun  9 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.8.4-1m)
- update to KDE 4.8.4

* Fri May  4 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.8.3-1m)
- update to KDE 4.8.3

* Sat Apr  7 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.8.2-1m)
- update to KDE 4.8.2

* Thu Mar  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.8.1-1m)
- update to KDE 4.8.1

* Fri Jan 27 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.8.0-1m)
- update to KDE 4.8.0

* Fri Jan  6 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (4.7.97-1m)
- update to KDE 4.8 RC2 (4.7.97)

* Fri Dec 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (4.7.95-1m)
- update to KDE 4.8 RC1 (4.7.95)

* Sat Dec 10 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (4.7.90-1m)
- update to KDE 4.8 beta2 (4.7.90)

* Fri Nov  4 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (4.7.3-1m)
- update to KDE 4.7.3

* Sat Oct 15 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (4.7.2-2m)
- rebuild against exiv2-0.22

* Thu Oct  6 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (4.7.2-1m)
- update to KDE 4.7.2

* Fri Sep  9 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (4.7.1-1m)
- update to KDE 4.7.1

* Sun Jul 31 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (4.7.0-1m)
- import from Fedora for new kdegraphics-4.7.0

* Tue Jul 26 2011 Jaroslav Reznik <jreznik@redhat.com> 4.7.0-1
- 4.7.0

* Mon Jul 11 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.95-1
- 4.6.95

* Sun Jul 10 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.90-4
- fix URL

* Sun Jul 10 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.90-3
- License: GPLv2+
- fix Summary
- %%doc: +ChangeLog NEWS
- drop uneeded scriptlets
- add %%check section

* Wed Jul 06 2011 Rex Dieter <rdieter@fedoraproject.org> 4.6.90-2
- fix Source0 URL
- Conflicts: kdegraphics < 7:4.6.90-10

* Tue Jul 05 2011 Rex Dieter <rdieter@fedoraproject.org>  4.6.90-1
- first try


